machine {base} | R Documentation

## Determine the Machine R is Running On

### Description

This function returns a string which specifies what kind of environment R is being run in.

### Usage

    machine()

### See Also

`Machine` for the computer's characteristics in arithmetics.

### Examples

    machine()# to see yours
    if (machine() == "Macintosh")
      cat("You are using a Macintosh computer\n")

[Package Contents]